<script setup>
import { useDataLinkStore } from '@/stores/useDataLinkStore'
import { onMounted } from 'vue';

const props = defineProps(['isaObject', 'investigationId', 'studyId'])
const dataLinkStore = useDataLinkStore()
const showDataLinkWizard = ref(false)
dataLinkStore.currentISAId = props.isaObject.id

onMounted(async () => {
    if(props.isaObject.studies) {
        await dataLinkStore.fetchDataLinks(props.isaObject, "investigation")
    }
    else if(props.isaObject.assays) {
        await dataLinkStore.fetchDataLinks(props.isaObject, "study")
    }
    else {
        await dataLinkStore.fetchDataLinks(props.isaObject, "assay")
    }
})
</script>

<template>
<DataLinkWizard v-model="showDataLinkWizard" :isaObject="props.isaObject" :investigationId="props.investigationId" :studyId="props.studyId"/>
<v-row align="center">
    <v-col><h2 class="mt-4">Data links</h2></v-col>
    <v-col cols="auto">
        <v-btn
        size="small"
        color="primary"
        @click="showDataLinkWizard = true"
        >New link</v-btn
    ></v-col>
</v-row>
<v-row v-if="dataLinkStore.datalinks.size > 0" class="mt-0">
    <DataLinkItem v-for="dataLink in dataLinkStore.datalinks.values()" :dataLink="dataLink" />
</v-row>
<div v-if="dataLinkStore.datalinks.size == 0" class="text-caption">No data link</div>
</template>
